public class NumberSum
{
    private double sum = 0.0;
    
    public double getSum()
    {
	return sum;
    }
    public void add(double d)
    {
	sum += d;
    }
    public void add(float f)
    {
	add((double) f);
    }
    public void add(int i)
    {
	add((double) i);
    }
    public void add(Double D)
    {
	add(D.doubleValue());
    }
    public void add(Float F)
    {
	add(F.floatValue());
    }
    public void add(Integer I)
    {
	add(I.intValue());
    }
}
